> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Team Invite



## OpenAPI

````yaml /openapi.json post /v1/teams/{team_id}/invites
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/teams/{team_id}/invites:
    post:
      tags:
        - Teams
      summary: Create Team Invite
      operationId: create_team_invite_v1_teams__team_id__invites_post
      parameters:
        - in: path
          name: team_id
          required: true
          schema:
            format: uuid
            title: Team Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-API-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TeamInviteCreateRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamInviteResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    TeamInviteCreateRequest:
      properties:
        can_access_experiments:
          default: true
          title: Can Access Experiments
          type: boolean
        can_export_data:
          default: false
          title: Can Export Data
          type: boolean
        can_manage_billing:
          default: false
          title: Can Manage Billing
          type: boolean
        can_manage_experiments:
          default: false
          title: Can Manage Experiments
          type: boolean
        can_manage_members:
          default: false
          title: Can Manage Members
          type: boolean
        can_manage_sessions:
          default: false
          title: Can Manage Sessions
          type: boolean
        can_view_private_votes:
          default: false
          title: Can View Private Votes
          type: boolean
        can_vote:
          default: true
          title: Can Vote
          type: boolean
        email:
          anyOf:
            - maxLength: 320
              minLength: 3
              type: string
            - type: 'null'
          title: Email
        expires_in_days:
          default: 7
          maximum: 30
          minimum: 1
          title: Expires In Days
          type: integer
        role:
          $ref: '#/components/schemas/TeamRole'
          default: evaluator
        username:
          anyOf:
            - maxLength: 255
              minLength: 1
              type: string
            - type: 'null'
          title: Username
      title: TeamInviteCreateRequest
      type: object
    TeamInviteResponse:
      properties:
        accepted_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Accepted At
        accepted_membership_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Accepted Membership Id
        can_access_experiments:
          title: Can Access Experiments
          type: boolean
        can_export_data:
          title: Can Export Data
          type: boolean
        can_manage_billing:
          title: Can Manage Billing
          type: boolean
        can_manage_experiments:
          title: Can Manage Experiments
          type: boolean
        can_manage_members:
          title: Can Manage Members
          type: boolean
        can_manage_sessions:
          title: Can Manage Sessions
          type: boolean
        can_view_private_votes:
          title: Can View Private Votes
          type: boolean
        can_vote:
          title: Can Vote
          type: boolean
        capabilities:
          additionalProperties:
            type: boolean
          title: Capabilities
          type: object
        created_at:
          format: date-time
          title: Created At
          type: string
        declined_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Declined At
        expires_at:
          format: date-time
          title: Expires At
          type: string
        id:
          format: uuid
          title: Id
          type: string
        invite_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Invite Url
        invitee_email:
          title: Invitee Email
          type: string
        invitee_user_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Invitee User Id
        invitee_username:
          anyOf:
            - type: string
            - type: 'null'
          title: Invitee Username
        inviter_user_id:
          format: uuid
          title: Inviter User Id
          type: string
        revoked_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Revoked At
        role:
          $ref: '#/components/schemas/TeamRole'
        status:
          enum:
            - pending
            - accepted
            - declined
            - revoked
            - expired
          title: Status
          type: string
        team_id:
          format: uuid
          title: Team Id
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - team_id
        - inviter_user_id
        - invitee_email
        - status
        - role
        - can_access_experiments
        - can_vote
        - can_manage_members
        - can_manage_experiments
        - can_manage_sessions
        - can_export_data
        - can_view_private_votes
        - can_manage_billing
        - expires_at
        - created_at
        - updated_at
      title: TeamInviteResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    TeamRole:
      enum:
        - owner
        - admin
        - builder
        - analyst
        - evaluator
      title: TeamRole
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````